Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.userManagement
Class Group

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
          org.esupportail.portal.channels.CStockage.userManagement.Group

Direct Known Subclasses:
  GroupForPersonalization

public class Group
extends AbstractUser

Id: Group.java,v 1.0 7 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: Group Original Author: Yohan Colmant Represents a group for the management

Constructor Summary
`Group()` Default constructor
`Group(org.jasig.portal.groups.EntityGroupImpl group)` Constructor
`Group(java.lang.String hierarchy)` Constructor
`Group(java.lang.String key, java.lang.String displayName)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`java.util.Vector` | `getGroupHierarchy()` Get this group keys hierarchy from the root to the group key
`void` | `setGroupHierarchy(java.util.Vector groupHierarchy)`
`java.lang.String` | `toString()` Return a String from this group

Methods inherited from class org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
`equals, getDisplayName, getKey, setDisplayName, setKey`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Group

    public Group()

  Default constructor

### Group

    public Group(java.lang.String key,
                 java.lang.String displayName)
          throws ServerException

  Constructor

Parameters:
  `key` - the group key
  `displayName` - The displayed group name
Throws:
  `ServerException`

### Group

    public Group(org.jasig.portal.groups.EntityGroupImpl group)
          throws ServerException

  Constructor

Parameters:
  `group` - this portal group value
Throws:
  `ServerException`

### Group

    public Group(java.lang.String hierarchy)
          throws ServerException

  Constructor

Parameters:
  `hierarchy` - this portal group hierarchy in this form: G1/G2/G3 where G1 is the root
Throws:
  `ServerException`

Method Detail

### getGroupHierarchy

    public java.util.Vector getGroupHierarchy()

  Get this group keys hierarchy from the root to the group key

  Returns:
    a vector construct with each hierarchy node

### setGroupHierarchy

    public void setGroupHierarchy(java.util.Vector groupHierarchy)

  Parameters:
    `groupHierarchy` - The groupHierarchy to set.

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Returns:
    this cloned object

### toString

    public java.lang.String toString()

  Return a String from this group

  Overrides:
    `toString` in class `AbstractUser`
  Returns:
    a String from this group

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD